libqt5webchannel.so.5 missing or not found in Ubuntu 16.04



  • I am trying to create deb of QT 5.5 app which uses QT5 webkit and webkitwidgets in it. When I am trying to create deb with command "debuild -kMYGPGKEY" then it gives me below error.

    /usr/bin/ld: warning: libQt5WebChannel.so.5, needed by /home/myusername/Qt5.5.0/5.5/gcc_64/lib/libQt5WebKit.so.5.5.0, not found (try using -rpath or -rpath-link)

    /home/myusername/Qt5.5.0/5.5/gcc_64/lib/libQt5WebKit.so.5.5.0: undefined reference to QAccelerometer::QAccelerometer(QObject*)' /home/myusername/Qt5.5.0/5.5/gcc_64/lib/libQt5WebKit.so.5.5.0: undefined reference toQRotationReading::x() const'

    any many more these types of undefined reference errors.

    From the error I found that libQt5WebKit is taking the reference libQt5WebChannel which is not found in my machine.

    So if anybody has any idea about the issue or how can I install libqt5webchannel.so.5 in Ubuntu 16.04 then please let me know.

    Thanks.


  • Lifetime Qt Champion

    Hi,

    Please don't post the same question in multiple sub-forums, one is enough.

    Duplicates.

    Closing this one.



Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.